Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.ee.jta
Class JTAJobRunShellFactory

    java.lang.Object
      org.quartz.ee.jta.JTAJobRunShellFactory

All Implemented Interfaces:
  JobRunShellFactory

    public class JTAJobRunShellFactory

extends Object
implements JobRunShellFactory

Responsible for creating the instances of ``JTAJobRunShell`` to be used within the `QuartzScheduler` instance.

This implementation does not re-use any objects, it simply makes a new JTAJobRunShell each time `borrowJobRunShell()` is called.

Author:
  James House

Constructor Summary
`JTAJobRunShellFactory()`

Method Summary
`JobRunShell` | `borrowJobRunShell()` Called by the `QuartzSchedulerThread` to obtain instances of ``JobRunShell``.
`void` | `initialize(Scheduler scheduler, SchedulingContext schedCtxt)` Initialize the factory, providing a handle to the `Scheduler` that should be made available within the `JobRunShell` and the `JobExecutionContext` s within it, and a handle to the `SchedulingContext` that the shell will use in its own operations with the `JobStore`.
`void` | `returnJobRunShell(JobRunShell jobRunShell)` Called by the `QuartzSchedulerThread` to return instances of ``JobRunShell``.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTAJobRunShellFactory

    public JTAJobRunShellFactory()

Method Detail

### initialize

    public void initialize(Scheduler scheduler,
                           SchedulingContext schedCtxt)
                    throws SchedulerConfigException

  Initialize the factory, providing a handle to the `Scheduler` that should be made available within the `JobRunShell` and the `JobExecutionContext` s within it, and a handle to the `SchedulingContext` that the shell will use in its own operations with the `JobStore`.

  Specified by:
    `initialize` in interface `JobRunShellFactory`
  Throws:
    `SchedulerConfigException`

### borrowJobRunShell

    public JobRunShell borrowJobRunShell()

  Called by the `QuartzSchedulerThread` to obtain instances of ``JobRunShell``.

  Specified by:
    `borrowJobRunShell` in interface `JobRunShellFactory`

### returnJobRunShell

    public void returnJobRunShell(JobRunShell jobRunShell)

  Called by the `QuartzSchedulerThread` to return instances of ``JobRunShell``.

  Specified by:
    `returnJobRunShell` in interface `JobRunShellFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.